Package Details: hamlib 3.0-1

Git Clone URL: https://aur.archlinux.org/hamlib.git (read-only)
Package Base: hamlib
Description: Ham radio equipment control libraries
Upstream URL: http://hamlib.org
Licenses: GPL, LGPL
Submitter: Allan
Maintainer: maze
Last Packager: maze
Votes: 33
Popularity: 1.169021
First Submitted: 2008-12-19 03:41
Last Updated: 2016-02-14 08:18

Required by (21)

Sources (1)

Latest Comments

maze commented on 2016-02-14 08:28

Updated to 3.x, I urge all package maintainers to test their packages against this new build

derektbrown commented on 2016-01-04 10:38

HamLib has officially released version 3.0... this package seriously needs to be updated.

hax404 commented on 2015-08-01 15:36

The Dependency aur/perl-opcodes is missing.

CC eb200.l
as: error while loading shared libraries: libopcodes-2.25.0.so: cannot open shared object file: No such file or directory
Makefile:415: recipe for target 'eb200.lo' failed
make[1]: *** [eb200.lo] Error 1

AIM54Phoenix commented on 2015-02-03 09:39

gpg-signatures are corrupted, hamlib.org leads to a dead sourceforge-link.

AIM54Phoenix commented on 2015-02-03 09:38

gpg-signatures are corrupted.

Nycroth commented on 2014-05-27 15:40

Just tried to install hamlib but got the error "line 40: cd: /home/keller/downloads/hamlib/pkg/hamlib/usr/lib/perl5/site_perl/: No such file or directory". There is no perl directory in the lib directory. There is one for hamlib and another for pkgconfig. What should I do?

maze commented on 2014-04-22 13:44

Updated package to reflect the new packaging standards for binary locations.

phillid commented on 2014-02-13 03:02

Description should contain 'Ham' not 'HAM' :)

AxPU commented on 2013-06-10 21:38

The easiest way seems to be to append the following commands to the end of the package() section of the PKGBUILD

mv $pkgdir/usr/sbin/rpc.rigd $pkgdir/usr/bin/rpc.rigd
mv $pkgdir/usr/sbin/rpc.rotd $pkgdir/usr/bin/rpc.rotd
rm -d $pkgdir/usr/sbin

Maybe there is a better/more elegant way but this does work here!

swiftgeek commented on 2013-06-03 14:05

please move those to /usr/bin
hamlib /usr/sbin/rpc.rigd
hamlib /usr/sbin/rpc.rotd

nickoe commented on 2013-04-30 19:38

I have found that I had to unset PERL_MM_OPT to build.

nickoe commented on 2013-02-24 23:58

I get this build error:
make all-am
make[2]: Entering directory `/tmp/yaourt-tmp-nickoe/aur-hamlib/src/hamlib-1.2.15.3/bindings'
CC hamlibpy_wrap.lo
CCLD _Hamlib.la
CC hamlibtcl_wrap.lo
CCLD hamlibtcl.la
echo 'package ifneeded Hamlib 1.0 [list load [file join $dir hamlibtcl-1.0.so] Hamlib]' > pkgIndex.tcl
test -f Makefile.PL || ln -s ./Makefile.PL Makefile.PL
perl `test -f Makefile.PL || echo './'`Makefile.PL \
MAKEFILE="Hamlib-pl.mk" \
PREFIX="/usr" \
INC="-I../include -I../src -I../lib -I../bindings -I/usr/include -I/usr/include/python2.7" \
CC="gcc" \
OBJECT="hamlibperl_wrap.o" \
VERSION="1.2.15.3" \
LIBS="-L../src/.libs -lhamlib"
Only one of PREFIX or INSTALL_BASE can be given. Not both.
make[2]: *** [Hamlib-pl.mk] Error 2
make[2]: Leaving directory `/tmp/yaourt-tmp-nickoe/aur-hamlib/src/hamlib-1.2.15.3/bindings'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/yaourt-tmp-nickoe/aur-hamlib/src/hamlib-1.2.15.3/bindings'
make: *** [all-recursive] Error 1

ur6lad commented on 2013-02-13 06:02

1.2.15.3

CarstenF commented on 2013-02-09 09:07

A newer version of hamlib is available.
The new version has the releas number 1.2.15.3
Please update the PKGBUILD to the new Version
Thanks.
vy 73 Carsten, DL1CAF

rasteenb commented on 2012-07-06 14:31

rpcgen has the location of "cpp" hardcoded, and that location is currently wrong (in arch).

Add the following line to the PKGBUILD directly before the "make" line.

sed -i 's|= rpcgen|= rpcgen -Y /usr/bin|' */Makefile

Details available at https://bbs.archlinux.org/viewtopic.php?id=144555

ur6lad commented on 2012-03-26 19:31

Done.

asdil12 commented on 2012-03-26 09:59

please switch download from https to http - https fails with:
Unknown SSL protocol error in connection to downloads.sourceforge.net:443

ur6lad commented on 2012-02-26 07:30

1.2.15

ur6lad commented on 2012-02-26 07:30

1.2.15

ur6lad commented on 2012-02-26 07:30

1.2.15

Anonymous comment on 2012-02-19 14:27

Flagged out-of-date
Version 1.2.15 released 2012-02-02

New models: TT-599 Eagle, IC-RX7, IC-1275, HiQSDR, ADAT ADT-200A, DttSP UDP, TM-D710
New rotator backends: Celestron (telescope mount)
Fixes and features: K3, various other rigs
Update LGPL/GPL header boilerplate
Quell various compiler errors
Add CM108 PTT capability

vic.pozd commented on 2011-12-30 19:09

I has error:
Only one of PREFIX or INSTALL_BASE can be given. Not both.

ur6lad commented on 2011-09-23 22:33

Update source link

sonny commented on 2011-09-23 21:18

==> ERROR: Failure while downloading hamlib-1.2.14.tar.gz
Aborting...

ur6lad commented on 2011-08-10 06:53

1.2.14.

Anybody use USRP? Hamlib supports it.

ur6lad commented on 2011-06-22 21:27

1.2.13.1

ur6lad commented on 2011-03-11 22:24

Fix it.

Tnx!

Anonymous comment on 2011-03-11 09:18

The PKBUILD is incompatible with python3, but the simple solution is to set the environment for python2. I built OK with 2.7 (2.5 also works) by adding this line to the top of build:

export PYTHON="/usr/bin/python2.7"

AxPU commented on 2010-08-04 22:39

Thank you, compiles and works fine now here!

ur6lad commented on 2010-08-03 22:33

Hm-m-m. I looked in the package: files from site_perl/current there. But when I run makepkg I have the same error with mv.

I rewrite this piece of PKGBUILD.

AxPU commented on 2010-08-03 18:47

makepackage hangs at the following steps:

# fix perl module location
cd $pkgdir/usr/lib/perl5/site_perl/
mkdir current/
mv ?.?*.?/* current/
rmdir ?.?*.?

Reason: ?.?*.?/* seemingly points to nothing.

Uncommenting the whole block allows compiling without error but I cannot try the compiled version at the moment since I need my system working for the next two weeks so I`ll rather stay with the previus running version for the moment. Can you confirm if this stepp is still necessary or is it an artefact of previous versions of hamlib?

ur6lad commented on 2010-06-14 20:17

1.2.11

Tnx to SamuelJones!

Anonymous comment on 2010-06-13 18:23

http://aur.pastebin.com/BFSdm9Aq

is a working PKGBUILD based upon UR2LAD's to make hamlib-1.2.11